Foreman - Bug #4007

Users email is not mandatory on creation but it is on update
01/14/2014 07:22 AM - Daniel Lobato Garcia

Status: Closed

Priority: Normal

Assignee: Nofar Alfassi

Category: Users, Roles and Permissions

Target version:

Difficulty: easy Fixed in Releases: 3.4.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9279
Description

https://github.com/theforeman/foreman/blob/develop/app/models/user.rb#L.39

This is rather odd as it allows users to not have a mail, but if you edit them you are forced to set an email.

Associated revisions

Revision db023da3 - 07/25/2022 11:47 AM - Nofar Alfassi
Fixes #4007 - updating users email to be optional (#9279)

History

#1 - 01/14/2014 08:20 AM - Dominic Cleal

It's a bit weird, but | think it's meant so a user can be created from some external auth source without an e-mail address, but then they're forced to set
one on login. However this currently also applies to the admin if they edit the user again, so perhaps it should still be optional if an admin is saving
the user? Or it just needs redesigning.

#2 - 01/14/2014 05:18 PM - Daniel Lobato Garcia

If nothing depends on it, I'd fully remove the validator. | guess it won't wreck anything since there already could be users without email.

#3 - 01/15/2014 08:56 AM - Dominic Cleal

The only thing that would use it are the e-mails on failed reports (to the owner), so check there's a fallback or at least graceful exit in these cases. We
could keep the validator, but permit an empty e-mail address too.

#4 - 01/16/2014 08:21 AM - Lukas Zapletal

| have entering an email address everywhere - e.g. | am evaluating a software, | know | will not be sending any reports and | need to enter it. | vote
for optional e-mail address and changing our sender helper. If the e-mail provided was nil, let's just put warning in logs and skip the send.

#5 - 03/06/2014 06:40 PM - John Julien

+1 for optional

#6 - 06/01/2022 07:29 AM - Marek Hulan

This was discussed again recently https://community.theforeman.org/t/kerberos-cross-domain-signin-fails-foreman-webui/27460/16 specifically this
comment https://community.theforeman.org/t/kerberos-cross-domain-signin-fails-foreman-webui/27460/4

#7 - 06/27/2022 03:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9279 added

#8 - 07/25/2022 11:47 AM - The Foreman Bot
- Fixed in Releases 3.4.0 added
https://github.com/theforeman/foreman/blob/develop/app/models/user.rb#L39
https://community.theforeman.org/t/kerberos-cross-domain-signin-fails-foreman-webui/27460/16
https://community.theforeman.org/t/kerberos-cross-domain-signin-fails-foreman-webui/27460/4

#9 - 07/25/2022 12:01 PM - Nofar Alfassi
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|db023da3afc8f01d40d0f12257925cd914a30ec?.

#10 - 08/25/2022 05:20 PM - Amit Upadhye
- Category set to Users, Roles and Permissions

- Assignee set to Nofar Alfassi
